com.ihr.xbrl.util.workbooks

## Class Region

- java.lang.Object
- - com.ihr.xbrl.util.workbooks.Region

-     public class Region
      extends java.lang.Object

  This object represents a region in Excel represented by two corners, the top left corner and the bottom right corner.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Region(SheetPoint corner1, SheetPoint corner2)` Creates a new region instance by specifying two corners of the region.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `contains(SheetPoint sheetPoint)` Contains.
    `SheetPoint` | `getBottomRight()` Gets the bottom right.
    `java.lang.String` | `getName()` Gets the name.
    `SheetPoint` | `getTopLeft()` Gets the top left.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Region

          public Region(SheetPoint corner1,
                SheetPoint corner2)
                 throws InvalidRegionException

      Creates a new region instance by specifying two corners of the region. The region extends rectangular regardless the corners are topLeft, bottomRight or topRight and bottomLeft
      Parameters:
        `corner1` - the corner1
        `corner2` - the corner2
      Throws:
        `InvalidRegionException` - the invalid region exception

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Gets the name.
      Returns:
        the name

    - #### contains

          public boolean contains(SheetPoint sheetPoint)

      Contains.
      Parameters:
        `sheetPoint` - the sheet point
      Returns:
        true, if successful

    - #### getTopLeft

          public SheetPoint getTopLeft()

      Gets the top left.
      Returns:
        the top left

    - #### getBottomRight

          public SheetPoint getBottomRight()

      Gets the bottom right.
      Returns:
        the bottom right